Full name: projects.locations.processorTypes.list
Lists the processor types that exist.
HTTP request
GET https://{endpoint}/v1/{parent}/processorTypes
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The location of processor types to list. Format: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of processor types to return. If unspecified, at most |
pageToken |
Used to retrieve the next page of results, empty if at the end of the list. |
Request body
The request body must be empty.
Response body
Response message for the processorTypes.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"processorTypes": [
{
object ( |
| Fields | |
|---|---|
processorTypes[] |
The processor types. |
nextPageToken |
Points to the next page, otherwise empty. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
documentai.processorTypes.list
For more information, see the IAM documentation.